Remove an appointment for a shipment
post
/custom-actions/removeAppointment/shipments/
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest parameters to remove an appointment for a shipment.
Show Source
-
appointmentGid: string
Appointment ID - Appointment to be removed must be identified using either an Appointment ID OR Shipment ID OR Shipment Reference Number.
-
locationGid: string
Location ID - Location for the shipment at which the appointment should be removed must be specified using one of Stop Number OR Stop Location ID.
-
shipmentGid: string
Shipment ID - Appointment to be removed must be identified using either an Appointment ID OR Shipment ID OR Shipment Reference Number.
-
shipmentRefnumQualGid: string
Shipment Reference Number Qualifier ID - In the absence of an Appointment ID and a Shipment ID, the shipment associated with the appointment to be removed can be identified using a combination of a Shipment Reference Qualifier ID AND Shipment Reference Number.
-
shipmentRefnumValue: string
Shipment Reference Number - In the absence of an Appointment ID and a Shipment ID, the shipment associated with the appointment to be removed can be identified using a combination of a Shipment Reference Qualifier ID AND Shipment Reference Number.
-
stopNumber: integer
Stop Number - Location for the shipment at which the appointment should be removed must be specified using one of Stop Number OR Stop Location ID.
Response
Supported Media Types
- application/json
200 Response
Success! A successful POST method returns a 200 status code.
Root Schema : removeAppointmentResponse
Type:
objectResponse when removing an appointment for a shipment.
Show Source
Nested Schema : responseStatus
Type:
Show Source
object-
isSuccess: boolean
Specifies if appointment removal was successful.
-
statusMessage: string
Error message if appointment removal was unsuccessful.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Access to the specified resource has been forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.